## AtomSpec

Atom representation. Depending on the input file format, not all fields may be defined.

View Source specs.ts, line 9

# Members

Type: `string`

#### # atom Optional

Atom name; may be more specific than 'elem' (e.g 'CA' for alpha carbon)

View Source specs.ts, line 73

Type: `number`

#### # b Optional

Atom b factor data

View Source specs.ts, line 103

Type: `Array`

#### # bondOrder Optional

Array of this atom's bond orders, corresponding to bonds identfied by 'bonds'

View Source specs.ts, line 93

Type: `Array`

#### # bondStyles Optional

custom bond styling by position in bonds

View Source specs.ts, line 143

Type: `Array`

#### # bonds Optional

Array of atom ids this atom is bonded to

View Source specs.ts, line 78

Type: `function`

#### # callback Optional

Callback click handler function to be executed on this atom and its parent viewer

View Source specs.ts, line 118

Type: `string`

#### # chain Optional

Chain this atom belongs to, if specified in input file (e.g 'A' for chain A)

View Source specs.ts, line 53

Type: `boolean`

#### # clickable Optional

Set this flag to true to enable click selection handling for this atom

View Source specs.ts, line 113

Type: `ColorSpec`

#### # color Optional

Atom's color, as hex code or built-in color string

View Source specs.ts, line 33

Type: `string`

#### # elem Optional

Element abbreviation (e.g. 'H', 'Ca', etc)

View Source specs.ts, line 43

Type: `boolean`

#### # hetflag Optional

Set to true if atom is a heteroatom

View Source specs.ts, line 48

Type: `function`

#### # hover_callback Optional

Callback click handler function to be executed on this atom and its parent viewer

View Source specs.ts, line 128

Type: `boolean`

#### # hoverable Optional

Set this flag to true to enable hover selection handling for this atom

View Source specs.ts, line 123

Type: `number`

#### # index Optional

Index of atom in molecule

View Source specs.ts, line 68

Type: `boolean`

#### # invert Optional

for selection, inverts the meaning of the selection

View Source specs.ts, line 133

Type: `string`

#### # pdbline Optional

If applicable, this atom's record entry from the input PDB file (used to output new PDB from models)

View Source specs.ts, line 108

Type: `Record.<string, any>`

#### # properties Optional

Optional mapping of additional properties

View Source specs.ts, line 98

Type: `number`

#### # resi Optional

Residue number

View Source specs.ts, line 58

Type: `string`

#### # resn Optional

Parent residue name

View Source specs.ts, line 13

Type: `number`

#### # serial Optional

Atom's serial id number

View Source specs.ts, line 63

Type: `boolean`

#### # singleBonds Optional

true if this atom forms only single bonds or no bonds at all

View Source specs.ts, line 88

Type: `string`

#### # ss Optional

Secondary structure identifier (for cartoon render; e.g. 'h' for helix)

View Source specs.ts, line 83

Type: `AtomStyleSpec`

#### # style Optional

style of atom

View Source specs.ts, line 138

Type: `ColorSpec`

#### # surfaceColor Optional

Hex code for color to be used for surface patch over this atom

View Source specs.ts, line 38

Type: `number`

#### # x Optional

Atom's x coordinate

View Source specs.ts, line 18

Type: `number`

#### # y Optional

Atom's y coordinate

View Source specs.ts, line 23

Type: `number`

#### # z Optional

Atom's z coordinate

View Source specs.ts, line 28